# Install Docker on Debian

## Prepare the system

```sudo apt-get update```

```sudo apt-get install ca-certificates curl gnupg lsb-release```

```curl -fsSL https://download.docker.com/linux/debian/gpg | sudo gpg --dearmor -o /usr/share/keyrings/docker-archive-keyring.gpg```

```echo "deb [arch=$(dpkg --print-architecture) signed-by=/usr/share/keyrings/docker-archive-keyring.gpg] https://download.docker.com/linux/debian $(lsb_release -cs) stable" | sudo tee /etc/apt/sources.list.d/docker.list > /dev/null```

## Install Docker Engine

```sudo apt-get update```

```sudo apt-get install docker-ce docker-ce-cli containerd.io```

## Install Docker Compose V2

```sudo mkdir -p /usr/local/lib/docker/cli-plugins```

### x86/64

```sudo curl -SL https://github.com/docker/compose/releases/download/v2.6.0/docker-compose-linux-x86_64 -o /usr/local/lib/docker/cli-plugins/docker-compose```

### RaspberryPi

```sudo curl -SL https://github.com/docker/compose/releases/download/v2.6.0/docker-compose-linux-armv7 -o /usr/local/lib/docker/cli-plugins/docker-compose```

```sudo chmod +x /usr/local/lib/docker/cli-plugins/docker-compose```

## Install Docker-Compose

```sudo curl -L "https://github.com/docker/compose/releases/download/1.29.2/docker-compose-$(uname -s)-$(uname -m)" -o /usr/local/bin/docker-compose```

```sudo chmod +x /usr/local/bin/docker-compose```

## Verify

```docker --version``` -> Docker version ..., build ...

```docker compose version``` -> Docker Compose version v2.0.1

## Add current user to the docker group

```sudo usermod -aG docker ${USER}```
